* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  width: 100%;
  background-color: black;
}

.container {
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.container .cal {
  width: 35%;
  height: 85%;
  border: 5px solid rgb(255, 255, 255);
  border-radius: 15px;
  box-shadow: 15px 14px 28px 0px rgba(255, 255, 0, 0.1),
    0px 10px 15px -3px rgba(0, 0, 0, 0.1);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.container .cal .input {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

.container .cal input {
  height: 50px;
  width: 90%;
  background-color: rgba(164, 135, 135, 0.399);
  border: none;
  border-radius: 5px;
  color: white;
  font-size: 30px;
  text-align: right;
}

.container .cal .button {
  margin-top: 40px;
  padding-left: 8px;
}

.container .cal .button #equal {
  color: white;
  background-color: rgb(189, 158, 5);
}

.container .cal .button #equal:hover {
  color: rgb(189, 158, 5);
  background-color: white;
}

.container .cal .button button {
  margin: 10px;
  font-size: 18px;
  padding: 10px;
  height: 45px;
  width: 65px;
  background-color: rgba(64, 55, 55, 0.672);
  color: white;
  box-shadow: rgba(55, 51, 51, 0.3) 0px 19px 38px,
    rgba(41, 38, 38, 0.22) 0px 15px 12px;
  border: 2px solid whitesmoke;
  border-radius: 10px;
}

.container .cal .button button:hover {
  color: black;
  background-color: white;
}

.container .cal .button .color {
  font-size: 22px;
  color: rgb(189, 158, 5);
}

.container .cal .button .color:hover {
  color: white;
  background-color: rgb(189, 158, 5);
}

/* Responsive Styles */
@media (max-width: 1100px) {
  .container .cal {
    width: 35%;
    height: 60%;
  }

  .container .cal input {
    height: 45px;
    font-size: 30px;
    width: 80%;
  }

  .container .cal .button button {
    font-size: 10px;
    height: 50px;
    width: 50px;
  }
  .container .cal .button .color {
    font-size: 12px;
  }
}

@media (max-width: 768px) {
  .container .cal {
    width: 50%;
    height: 70%;
  }

  .container .cal input {
    height: 40px;
    font-size: 20px;
  }

  .container .cal .button button {
    font-size: 14px;
    height: 35px;
    width: 45px;
  }
}

@media (max-width: 566px) {
  .container .cal {
    width: 75%;
    height: 50%;
  }

  .container .cal input {
    height: 60px;
    width: 80%;
    font-size: 28px;
  }

  .container .cal .button button {
    font-size: 12px;
    height: 30px;
    width: 40px;
  }
}
